mssql_guid_string
mssql_min_error_severity
Mssql Functions
PHP Manual

# mssql_init

Initializes a stored procedure or a remote stored procedure

### Description

resource mssql_init ( string `$sp_name` [, resource `$link_identifier` ] )

Initializes a stored procedure or a remote stored procedure.

### Parameters

`sp_name`

  Stored procedure name, like ownew.sp_name or otherdb.owner.sp_name.

`link_identifier`

  A MS SQL link identifier, returned by mssql_connect.

### Return Values

Returns a resource identifier "statement", used in subsequent calls to mssql_bind and mssql_execute, or `FALSE` on errors.

### Examples

Example #1 mssql_init example

`<?php
// Connect to MSSQL and select the database
$link = mssql_connect('KALLESPC\SQLEXPRESS', 'sa', 'phpfi');
mssql_select_db('php', $link);
// Create a new statement
$stmt = mssql_init('StatementTest', $link);
// Bind values here
// Once values are binded we execute our statement
// using mssql_execute:
mssql_execute($stmt);
// And we can free it like so:
mssql_free_statement($stmt);
?>`

### See Also

- mssql_bind
- mssql_execute
- mssql_free_statement